summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--media-gfx/splashutils/Manifest7
-rw-r--r--media-gfx/splashutils/files/splashutils-1.5.4.3-daemon-exit-signal.patch110
-rw-r--r--media-gfx/splashutils/files/splashutils-1.5.4.3-fix_rc_var.patch55
-rw-r--r--media-gfx/splashutils/files/splashutils-1.5.4.3-libjpeg.patch36
-rw-r--r--media-gfx/splashutils/files/splashutils-1.5.4.3-makefile.patch27
-rw-r--r--media-gfx/splashutils/files/splashutils-1.5.4.3-nondefault-runlevel.patch24
-rw-r--r--media-gfx/splashutils/files/splashutils-1.5.4.3-openrc-effects.patch55
-rw-r--r--media-gfx/splashutils/files/splashutils-1.5.4.3-openrc-umount-fix.patch29
-rw-r--r--media-gfx/splashutils/files/splashutils-1.5.4.3-splash_geninitramfs.patch13
-rw-r--r--media-gfx/splashutils/files/splashutils-1.5.4.4-freetype-bz2-2.patch43
-rw-r--r--media-gfx/splashutils/files/splashutils-1.5.4.4-freetype-bz2.patch15
-rw-r--r--media-gfx/splashutils/files/splashutils-1.5.4.4-gentoo-typo-fix.patch19
-rw-r--r--media-gfx/splashutils/files/splashutils-openrc-0.4-fix.patch74
-rw-r--r--media-gfx/splashutils/files/splashutils-openrc-0.4.3-runlevel-fix.patch99
-rw-r--r--media-gfx/splashutils/splashutils-1.5.4.4-r1.ebuild245
-rw-r--r--media-gfx/xsane-gimp/Manifest3
-rw-r--r--media-gfx/xsane-gimp/xsane-gimp-0.998-r1.ebuild63
-rw-r--r--media-gfx/xsane-gimp/xsane-gimp-0.999.ebuild65
-rw-r--r--media-libs/jackd-firewire/Manifest1
-rw-r--r--media-libs/jackd-firewire/jackd-firewire-0.121.3.ebuild61
-rw-r--r--media-libs/jackd-firewire/metadata.xml5
-rw-r--r--media-sound/pithos/Manifest1
-rw-r--r--media-sound/pithos/files/pithos-20130808-detect-datadir.patch16
-rw-r--r--media-sound/pithos/files/pithos-20130808-dont-notify-volume.patch13
-rw-r--r--media-sound/pithos/files/setup.py37
-rw-r--r--media-sound/pithos/metadata.xml8
-rw-r--r--media-sound/pithos/pithos-20130808.ebuild49
27 files changed, 1173 insertions, 0 deletions
diff --git a/media-gfx/splashutils/Manifest b/media-gfx/splashutils/Manifest
new file mode 100644
index 00000000..37eb5f51
--- /dev/null
+++ b/media-gfx/splashutils/Manifest
@@ -0,0 +1,7 @@
+DIST freetype-2.3.12.tar.bz2 1453034 SHA256 3b96438f016a62b676c1d2089c00ca777f710d19f6aefa66ccf068d360db3e92
+DIST jpegsrc.v8a.tar.gz 962018 SHA256 bf86a5eaafa79b5d60feb27bee08df2db4c9ca2fb40d453e7a2080f7663a713b
+DIST libpng-1.4.3.tar.bz2 658335 SHA256 2b022f39f4788505ad62a4b1f4a33286228d544719680da40f3626393ecde4a2
+DIST miscsplashutils-0.1.8.tar.bz2 91997 SHA256 38e8434c7266126477237c4d9e6cbeca152089ab33c14a7761089b7970f8d336
+DIST splashutils-gentoo-1.0.17.tar.bz2 15814 SHA256 6877263d0b6f5a3532db0d6a531cd4d41fbc6c45a16c5d10050e9048ecc1af81
+DIST splashutils-lite-1.5.4.4.tar.bz2 441340 SHA256 bc0e22293d4550281d2289672da3acb42594c18a75b9d00ba75526e05162ec6b
+DIST zlib-1.2.3.tar.bz2 425209 SHA256 e3b9950851a19904d642c4dec518623382cf4d2ac24f70a76510c944330d28ca
diff --git a/media-gfx/splashutils/files/splashutils-1.5.4.3-daemon-exit-signal.patch b/media-gfx/splashutils/files/splashutils-1.5.4.3-daemon-exit-signal.patch
new file mode 100644
index 00000000..82284f1d
--- /dev/null
+++ b/media-gfx/splashutils/files/splashutils-1.5.4.3-daemon-exit-signal.patch
@@ -0,0 +1,110 @@
+diff --git a/core/src/daemon.c b/core/src/daemon.c
+index e3463fc..eae23ec 100644
+--- a/core/src/daemon.c
++++ b/core/src/daemon.c
+@@ -306,6 +306,35 @@ void handler_alarm(int unused)
+ return;
+ }
+
++int process_switch_sig(int sig)
++{
++ /* Switch from silent to verbose. */
++ if (sig == SIGUSR1) {
++ pthread_mutex_lock(&mtx_paint);
++ pthread_mutex_lock(&mtx_tty);
++ ioctl(fd_tty[config.tty_s], VT_RELDISP, 1);
++ pthread_mutex_unlock(&mtx_tty);
++
++ ctty = CTTY_VERBOSE;
++ pthread_mutex_unlock(&mtx_paint);
++ return 1;
++ /* Switch back to silent. */
++ } else if (sig == SIGUSR2) {
++ pthread_mutex_lock(&mtx_paint);
++ pthread_mutex_lock(&mtx_tty);
++ ioctl(fd_tty[config.tty_s], VT_RELDISP, 2);
++ pthread_mutex_unlock(&mtx_tty);
++
++ ctty = CTTY_SILENT;
++ pthread_mutex_unlock(&mtx_paint);
++
++ switch_silent();
++ return 2;
++ }
++
++ return 0;
++}
++
+ /*
+ * Signal handler.
+ *
+@@ -315,7 +344,7 @@ void handler_alarm(int unused)
+ */
+ void* thf_sighandler(void *unusued)
+ {
+- sigset_t sigset;
++ sigset_t sigset, sigset_switch;
+ int sig;
+
+ /* We don't handle SIGALRM. */
+@@ -329,31 +358,39 @@ void* thf_sighandler(void *unusued)
+ sigaddset(&sigset, SIGTERM);
+ sigaddset(&sigset, SIGINT);
+
++ sigemptyset(&sigset_switch);
++ sigaddset(&sigset_switch, SIGUSR1);
++ sigaddset(&sigset_switch, SIGUSR2);
++
+ while (1) {
+ sigwait(&sigset, &sig);
+
+- /* Switch from silent to verbose. */
+- if (sig == SIGUSR1) {
+- pthread_mutex_lock(&mtx_paint);
+- pthread_mutex_lock(&mtx_tty);
+- ioctl(fd_tty[config.tty_s], VT_RELDISP, 1);
+- pthread_mutex_unlock(&mtx_tty);
+-
+- ctty = CTTY_VERBOSE;
+- pthread_mutex_unlock(&mtx_paint);
+- /* Switch back to silent. */
+- } else if (sig == SIGUSR2) {
+- pthread_mutex_lock(&mtx_paint);
+- pthread_mutex_lock(&mtx_tty);
+- ioctl(fd_tty[config.tty_s], VT_RELDISP, 2);
+- pthread_mutex_unlock(&mtx_tty);
+-
+- ctty = CTTY_SILENT;
+- pthread_mutex_unlock(&mtx_paint);
++ process_switch_sig(sig);
++
++ /* Internally generated terminate signal */
++ if (sig == SIGINT) {
++ struct timespec timeout;
++ timeout.tv_sec = 0;
++ timeout.tv_nsec = 0;
++ bool pending = true;
++
++ /*
++ * Process any remaining signals. There are no guarantees as to the
++ * order in which the signals are delivered, so we have to make sure
++ * all pending signals are processed before exiting.
++ */
++ while (pending) {
++ sig = sigtimedwait(&sigset_switch, NULL, &timeout);
++
++ if (sig == -1) {
++ /* No more pending signals. */
++ if (errno == EAGAIN)
++ pending = false;
++ } else {
++ process_switch_sig(sig);
++ }
++ }
+
+- switch_silent();
+- } else if (sig == SIGINT) {
+- /* internally generated terminate signal */
+ do_cleanup();
+ pthread_exit(NULL);
+ } else if (sig == SIGTERM) {
diff --git a/media-gfx/splashutils/files/splashutils-1.5.4.3-fix_rc_var.patch b/media-gfx/splashutils/files/splashutils-1.5.4.3-fix_rc_var.patch
new file mode 100644
index 00000000..3b9e06b4
--- /dev/null
+++ b/media-gfx/splashutils/files/splashutils-1.5.4.3-fix_rc_var.patch
@@ -0,0 +1,55 @@
+diff --git a/gentoo/splash.c b/gentoo/splash.c
+index b6fa774..726315f 100644
+--- a/gentoo/splash.c
++++ b/gentoo/splash.c
+@@ -134,6 +134,19 @@ static void get_list(RC_STRINGLIST *list, const char *file)
+ }
+ }
+
++static void fix_rc_variable(char *s)
++{
++ do {
++ char *t = strstr(s, "\\$");
++
++ if (t) {
++ memmove(t, t+1, strlen(t));
++ } else {
++ break;
++ }
++ } while(1);
++}
++
+ /*
+ * Get splash settings from /etc/conf.d/splash
+ */
+@@ -189,21 +202,27 @@ static int splash_config_gentoo(fbspl_cfg_t *cfg, fbspl_type_t type)
+ switch(type) {
+ case fbspl_reboot:
+ t = rc_config_value(confd, "SPLASH_REBOOT_MESSAGE");
+- if (t)
++ if (t) {
++ fix_rc_variable(t);
+ fbsplash_acc_message_set(t);
++ }
+ break;
+
+ case fbspl_shutdown:
+ t = rc_config_value(confd, "SPLASH_SHUTDOWN_MESSAGE");
+- if (t)
++ if (t) {
++ fix_rc_variable(t);
+ fbsplash_acc_message_set(t);
++ }
+ break;
+
+ case fbspl_bootup:
+ default:
+ t = rc_config_value(confd, "SPLASH_BOOT_MESSAGE");
+- if (t)
++ if (t) {
++ fix_rc_variable(t);
+ fbsplash_acc_message_set(t);
++ }
+ break;
+ }
+
diff --git a/media-gfx/splashutils/files/splashutils-1.5.4.3-libjpeg.patch b/media-gfx/splashutils/files/splashutils-1.5.4.3-libjpeg.patch
new file mode 100644
index 00000000..16d7ac20
--- /dev/null
+++ b/media-gfx/splashutils/files/splashutils-1.5.4.3-libjpeg.patch
@@ -0,0 +1,36 @@
+diff --git a/core/libs/Makefile.am b/core/libs/Makefile.am
+index d070b29..c0a9258 100644
+--- a/core/libs/Makefile.am
++++ b/core/libs/Makefile.am
+@@ -53,7 +53,7 @@ libfreetype.a: klibc_compat.h
+ if ! $(MAKE) --question $(AM_MAKEFLAGS) CFLAGS="$(K_CFLAGS)" library ; then \
+ $(call infmsg,MAKE,libfreetype.a) ; \
+ fi ; \
+- $(MAKE) $(AM_MAKEFLAGS) CFLAGS="-c $(K_CFLAGS)" CCexe="$(BUILD_CC)" library $(OUTPUT)
++ $(MAKE) $(AM_MAKEFLAGS) CFLAGS="-c $(K_CFLAGS)" CCexe="$(BUILD_CC)" ANSIFLAGS="" library $(OUTPUT)
+ $(Q)$(MKDIR_P) $(@D)
+ $(Q)cp -f libfreetype/.libs/libfreetype.a $@
+
+@@ -62,18 +62,18 @@ libjpeg.a:
+ $(Q)cd libjpeg ; \
+ if test ! -e ./Makefile ; then \
+ $(call infmsg,CONF,libjpeg.a) ; \
+- CC=$(KLCC) CFLAGS="$(K_CFLAGS) -I$(abs_top_builddir)/libs/libjpeg" $(LIBJPEG_SOURCE)/configure \
++ CC=$(KLCC) CFLAGS="$(K_CFLAGS) -I$(abs_top_builddir)/libs/libjpeg -include $(abs_top_srcdir)/libs/klibc_compat.h" $(LIBJPEG_SOURCE)/configure \
+ --host=$(host) --build=$(build_triplet) $(OUTPUT) ; \
+ echo "#define NO_GETENV 1" >> jconfig.h ; \
+ $(SED) -i "s#CFLAGS=.*#CFLAGS=$(K_CFLAGS) -I$(abs_top_builddir)/libs/libjpeg#" Makefile ; \
+ $(SED) -i "s:#define JMESSAGE.*::" $(LIBJPEG_SOURCE)/jerror.c ; \
+ fi ; \
+- if ! $(MAKE) --question $(AM_MAKEFLAGS) CC="$(KLCC)" libjpeg.a ; then \
++ if ! $(MAKE) --question $(AM_MAKEFLAGS) CC="$(KLCC)" libjpeg.la ; then \
+ $(call infmsg,MAKE,libjpeg.a) ; \
+ fi ; \
+- $(MAKE) $(AM_MAKEFLAGS) CC="$(KLCC)" libjpeg.a $(OUTPUT)
++ $(MAKE) $(AM_MAKEFLAGS) CC="$(KLCC)" libjpeg.la $(OUTPUT)
+ $(Q)$(MKDIR_P) $(@D)
+- $(Q)cp -f libjpeg/libjpeg.a $@
++ $(Q)cp -f libjpeg/.libs/libjpeg.a $@
+
+ libpng.a: libz.a
+ $(Q)cd $(LIBPNG_SOURCE) ; \
diff --git a/media-gfx/splashutils/files/splashutils-1.5.4.3-makefile.patch b/media-gfx/splashutils/files/splashutils-1.5.4.3-makefile.patch
new file mode 100644
index 00000000..060cc9d2
--- /dev/null
+++ b/media-gfx/splashutils/files/splashutils-1.5.4.3-makefile.patch
@@ -0,0 +1,27 @@
+diff --git a/core/src/Makefile.am b/core/src/Makefile.am
+index 20cb03e..fa6919d 100644
+--- a/core/src/Makefile.am
++++ b/core/src/Makefile.am
+@@ -119,7 +119,7 @@ libfbsplashrender_la_SOURCES = \
+ fbsplash.h
+ libfbsplashrender_la_CFLAGS = $(AM_CFLAGS)
+ libfbsplashrender_la_LDFLAGS = $(AM_LDFLAGS) -version-info $(libfbsplashrender_version)
+-libfbsplashrender_la_LIBADD = -lfbsplash
++libfbsplashrender_la_LIBADD = libfbsplash.la
+
+ libfbsplashrender_la_CFLAGS += $(JPEG_CFLAGS)
+ libfbsplashrender_la_LIBADD += $(JPEG_LIBS)
+@@ -258,10 +258,10 @@ fbcondecor_helper_LDFLAGS += -static
+ endif
+
+ # Override automake's generation of target rules for building fbcondecor_helper.
+-fbcondecor_helper: $(fbcondecor_helper_LDADD) $(fbcondecor_helper_OBJECTS)
++fbcondecor_helper: $(fbcondecor_helper_LDADD) $(fbcondecor_helper_OBJECTS) $(lib_LTLIBRARIES)
+ @$(call infmsg,LD,$@)
+ $(Q)$(MKDIR_P) $(@D)
+- $(Q)$(KLCC) $(fbcondecor_helper_CFLAGS) $(fbcondecor_helper_LDFLAGS) $+ $(fbcondecor_helper_LDADD) -o $@
++ $(Q)$(KLCC) $(fbcondecor_helper_CFLAGS) $(fbcondecor_helper_LDFLAGS) $(fbcondecor_helper_OBJECTS) $(fbcondecor_helper_LDADD) -o $@
+ $(Q)$(STRIP) $@
+
+ # Override automake's generation of target rules for building fbcondecor_helper object files.
+
diff --git a/media-gfx/splashutils/files/splashutils-1.5.4.3-nondefault-runlevel.patch b/media-gfx/splashutils/files/splashutils-1.5.4.3-nondefault-runlevel.patch
new file mode 100644
index 00000000..f395eca3
--- /dev/null
+++ b/media-gfx/splashutils/files/splashutils-1.5.4.3-nondefault-runlevel.patch
@@ -0,0 +1,24 @@
+commit 6f9aa3a3bc11e539613facf3caba5dcdb43c0117
+Author: Michał Januszewski <spock@gentoo.org>
+Date: Sun Nov 22 20:56:47 2009 +0100
+
+ gentoo: make sure the splash daemon works when boot goes through a named runlevel other than default
+
+diff --git a/gentoo/splash.c b/gentoo/splash.c
+index d831d0c..4b9a5b9 100644
+--- a/gentoo/splash.c
++++ b/gentoo/splash.c
+@@ -777,10 +777,12 @@ int rc_plugin_hook(RC_HOOK hook, const char *name)
+ hook != RC_HOOK_RUNLEVEL_START_OUT)
+ goto exit;
+ } else {
++ int pid;
++
+ /* We're starting/stopping a runlevel. Check whether we're
+ * actually booting/rebooting. */
+ if (rc_runlevel_starting() && strcmp(runlev, bootlevel) &&
+- strcmp(runlev, defaultlevel) && strcmp(runlev, RC_LEVEL_SYSINIT))
++ strcmp(runlev, RC_LEVEL_SYSINIT) && fbsplash_check_daemon(&pid))
+ goto exit;
+
+ if (rc_runlevel_stopping() && strcmp(runlev, bootlevel) &&
diff --git a/media-gfx/splashutils/files/splashutils-1.5.4.3-openrc-effects.patch b/media-gfx/splashutils/files/splashutils-1.5.4.3-openrc-effects.patch
new file mode 100644
index 00000000..ede28b05
--- /dev/null
+++ b/media-gfx/splashutils/files/splashutils-1.5.4.3-openrc-effects.patch
@@ -0,0 +1,55 @@
+commit 7cf5fd02bbc6422ddbc9af7185cc47657148deb0
+Author: Michał Januszewski <spock@gentoo.org>
+Date: Sun Apr 4 16:19:40 2010 +0200
+
+ gentoo: only enable the effects that are actually selected.
+
+diff --git a/gentoo/splash.c b/gentoo/splash.c
+index 4b9a5b9..5220571 100644
+--- a/gentoo/splash.c
++++ b/gentoo/splash.c
+@@ -660,7 +660,7 @@ static int splash_start(const char *runlevel)
+ (config->type == fbspl_reboot) ? "reboot" : ((config->type == fbspl_shutdown) ? "shutdown" : "bootup"),
+ (config->kdmode == KD_GRAPHICS) ? "--kdgraphics" : "",
+ (config->textbox_visible) ? "--textbox" : "",
+- (config->effects & (FBSPL_EFF_FADEOUT | FBSPL_EFF_FADEIN)) ? "--effects=fadeout,fadein" :
++ ((config->effects & (FBSPL_EFF_FADEOUT | FBSPL_EFF_FADEIN)) == (FBSPL_EFF_FADEOUT | FBSPL_EFF_FADEIN)) ? "--effects=fadeout,fadein" :
+ ((config->effects & FBSPL_EFF_FADEOUT) ? "--effects=fadeout" :
+ ((config->effects & FBSPL_EFF_FADEIN) ? "--effects=fadein" : "")));
+
+@@ -716,11 +716,7 @@ static int splash_stop(const char *runlevel)
+
+ /* If we don't get a runlevel argument, then we're being executed
+ * because of a rc-abort event and we don't save any data. */
+- if (runlevel == NULL) {
+- return fbsplash_cache_cleanup(NULL);
+- } else {
+- return fbsplash_cache_cleanup(save);
+- }
++ return fbsplash_cache_cleanup(save);
+ }
+
+ int rc_plugin_hook(RC_HOOK hook, const char *name)
+
+commit d711147fc835cf408a9a4e7432fc565a6b952183
+Author: Michał Januszewski <spock@gentoo.org>
+Date: Sun Apr 4 16:57:23 2010 +0200
+
+ gentoo: add some comments in splash.conf
+
+diff --git a/gentoo/splash.conf b/gentoo/splash.conf
+index 4cf0a32..f056382 100644
+--- a/gentoo/splash.conf
++++ b/gentoo/splash.conf
+@@ -21,7 +21,10 @@ SPLASH_TEXTBOX="no"
+ SPLASH_AUTOVERBOSE="0"
+
+ # Name of the boot service starting X. Useful in cases when X is started
+-# by a custom initscript, other than the usual 'xdm'.
++# by a custom initscript, other than the usual 'xdm'. If you are using a
++# custom X initscript and do not set this variable correctly, do not be
++# surprised if you end up at tty1 at the end of the boot process (instead of
++# in an X session).
+ # SPLASH_XSERVICE="xdm"
+
+ #########################################################################
diff --git a/media-gfx/splashutils/files/splashutils-1.5.4.3-openrc-umount-fix.patch b/media-gfx/splashutils/files/splashutils-1.5.4.3-openrc-umount-fix.patch
new file mode 100644
index 00000000..dcb1ef99
--- /dev/null
+++ b/media-gfx/splashutils/files/splashutils-1.5.4.3-openrc-umount-fix.patch
@@ -0,0 +1,29 @@
+commit ae4b5cc9c2d904e18db51876d9bd292504714600
+Author: Michał Januszewski <spock@gentoo.org>
+Date: Mon Apr 6 20:59:48 2009 +0200
+
+ Prevent umounting of theme directories.
+
+ Some themes dynamically modify themselves during boot. In order to be
+ able to do that, they mount a tmpfs in their main directory. Prevent
+ openrc from umounting this directory when rebooting.
+
+diff --git a/gentoo/splash.c b/gentoo/splash.c
+index 048e0ec..d831d0c 100644
+--- a/gentoo/splash.c
++++ b/gentoo/splash.c
+@@ -968,10 +968,10 @@ do_start:
+ if (name && !strcmp(name, "localmount")) {
+ char *umounts = getenv("RC_NO_UMOUNTS");
+
+- if (umounts)
+- fprintf(rc_environ_fd, "RC_NO_UMOUNTS=%s:%s", umounts, FBSPLASH_CACHEDIR);
+- else
+- fprintf(rc_environ_fd, "RC_NO_UMOUNTS=%s", FBSPLASH_CACHEDIR);
++ if (umounts)
++ fprintf(rc_environ_fd, "RC_NO_UMOUNTS=%s:" FBSPLASH_CACHEDIR ":/etc/splash/%s", umounts, config->theme);
++ else
++ fprintf(rc_environ_fd, "RC_NO_UMOUNTS=" FBSPLASH_CACHEDIR ":/etc/splash/%s", config->theme);
+ }
+ i = splash_svc_handle(name, "svc_stop", false);
+ break;
diff --git a/media-gfx/splashutils/files/splashutils-1.5.4.3-splash_geninitramfs.patch b/media-gfx/splashutils/files/splashutils-1.5.4.3-splash_geninitramfs.patch
new file mode 100644
index 00000000..c7e0cd26
--- /dev/null
+++ b/media-gfx/splashutils/files/splashutils-1.5.4.3-splash_geninitramfs.patch
@@ -0,0 +1,13 @@
+diff --git a/core/scripts/splash_geninitramfs.in b/core/scripts/splash_geninitramfs.in
+index 9d75d21..ff9b75b 100644
+--- a/core/scripts/splash_geninitramfs.in
++++ b/core/scripts/splash_geninitramfs.in
+@@ -149,7 +149,7 @@ if [ "$mode" == "a" ]; then
+ fi
+
+ printv "o Creating directory structure.."
+-mkdir -p ${imgdir}/{dev,dev/fb,dev/misc,dev/vc,$themedir,lib/splash/proc,root,sbin,lib/splash/sys}
++mkdir -p ${imgdir}/{dev,dev/fb,dev/misc,dev/vc,$themedir,@libdir@/splash/proc,root,sbin,@libdir@/splash/sys}
+
+ if [ $EUID == 0 ]; then
+ [[ ! -e "${imgdir}/dev/null" ]] && mknod "${imgdir}/dev/null" c 1 3
diff --git a/media-gfx/splashutils/files/splashutils-1.5.4.4-freetype-bz2-2.patch b/media-gfx/splashutils/files/splashutils-1.5.4.4-freetype-bz2-2.patch
new file mode 100644
index 00000000..e821c16e
--- /dev/null
+++ b/media-gfx/splashutils/files/splashutils-1.5.4.4-freetype-bz2-2.patch
@@ -0,0 +1,43 @@
+ core/configure.ac | 6 ++++++
+ core/src/Makefile.am | 2 +-
+ 2 files changed, 7 insertions(+), 1 deletions(-)
+
+diff --git a/core/configure.ac b/core/configure.ac
+index c5fbb84..ae9e235 100644
+--- a/core/configure.ac
++++ b/core/configure.ac
+@@ -616,6 +616,7 @@ AS_IF(
+ AC_SUBST([PNG_CFLAGS])
+ AC_SUBST([PNG_LIBS])
+
++BZ2_LIBS=
+ AS_IF(
+ [test "x${config_ttf}" = "xyes"],
+ [
+@@ -625,8 +626,13 @@ AS_IF(
+ ,
+ [AC_MSG_ERROR([freetype was not found.])]
+ )
++ AC_CHECK_LIB([bz2], [BZ2_bzDecompress],
++ [BZ2_LIBS="${BZ2_LIBS} -lbz2"],
++ [AC_MSG_ERROR(['libbz2' library was not found.])]
++ )
+ ]
+ )
++AC_SUBST([BZ2_LIBS])
+
+ AH_TOP([#ifndef __SPLASH_CONFIG_H
+ #define __SPLASH_CONFIG_H])
+diff --git a/core/src/Makefile.am b/core/src/Makefile.am
+index d6ce315..349b5e7 100644
+--- a/core/src/Makefile.am
++++ b/core/src/Makefile.am
+@@ -190,7 +190,7 @@ fbsplashctl_SOURCES = $(fbsplashd_SOURCES) $(splash_util_SOURCES) fbspla
+ fbsplashctl_CFLAGS = $(AM_CFLAGS) $(PTHREAD_STATIC_CFLAGS) $(RT_CFLAGS) $(libfbsplashrender_la_CFLAGS) -DUNIFIED_BUILD
+ fbsplashctl_CPPFLAGS = $(fbsplashd_CPPFLAGS) $(splash_util_CPPFLAGS)
+ fbsplashctl_LDFLAGS = $(AM_LDFLAGS) -all-static
+-fbsplashctl_LDADD = libfbsplashrender.la libfbsplash.la $(PTHREAD_STATIC_LIBS) $(RT_LIBS) $(GPM_LIBS)
++fbsplashctl_LDADD = libfbsplashrender.la libfbsplash.la $(PTHREAD_STATIC_LIBS) $(RT_LIBS) $(GPM_LIBS) $(BZ2_LIBS)
+
+ if CONFIG_FBCON_DECOR
+ fbsplashctl_SOURCES += $(fbcondecor_ctl_SOURCES)
diff --git a/media-gfx/splashutils/files/splashutils-1.5.4.4-freetype-bz2.patch b/media-gfx/splashutils/files/splashutils-1.5.4.4-freetype-bz2.patch
new file mode 100644
index 00000000..3438fd52
--- /dev/null
+++ b/media-gfx/splashutils/files/splashutils-1.5.4.4-freetype-bz2.patch
@@ -0,0 +1,15 @@
+=== modified file 'fbtruetype/Makefile'
+--- fbtruetype/Makefile 2011-10-01 14:10:17 +0000
++++ fbtruetype/Makefile 2011-10-01 14:15:02 +0000
+@@ -23,8 +23,8 @@
+ OBJECTS = fbtruetype.o messages.o console.o ttf.o luxisri.o
+
+ LDFLAGS += -L$(LIBDIR)
+-LIBSS = $(LIBDIR)/libfreetype.a $(LIBDIR)/libz.a -lm
+-LIBSD = -lfreetype -lm
++LIBSS = $(shell pkg-config freetype2 --libs --static) -lm
++LIBSD = $(shell pkg-config freetype2 --libs) -lm
+
+ CFLAGS += -I/usr/include/freetype2
+ COMPILE = $(CC) $(CFLAGS)
+
diff --git a/media-gfx/splashutils/files/splashutils-1.5.4.4-gentoo-typo-fix.patch b/media-gfx/splashutils/files/splashutils-1.5.4.4-gentoo-typo-fix.patch
new file mode 100644
index 00000000..4b8d5137
--- /dev/null
+++ b/media-gfx/splashutils/files/splashutils-1.5.4.4-gentoo-typo-fix.patch
@@ -0,0 +1,19 @@
+commit 74dda8291efae78f00bb781148c8fd4fccaeb764
+Author: Michał Januszewski <spock@gentoo.org>
+Date: Tue Jun 14 23:23:33 2011 +0200
+
+ Fix typo in the Gentoo initscript.
+
+diff --git a/gentoo/init-fbcondecor b/gentoo/init-fbcondecor
+index b66f40a..ce921b6 100755
+--- a/gentoo/init-fbcondecor
++++ b/gentoo/init-fbcondecor
+@@ -12,7 +12,7 @@ start() {
+ splash_setup
+
+ if [ -z "${FBCONDECOR_TTYS}" ]; then
+- FBCONDECOR_TTYS=$(seq 1 "${rc_tty_number:-${RC_TTY_NUMBER}:-12}")
++ FBCONDECOR_TTYS=$(seq 1 "${rc_tty_number:-${RC_TTY_NUMBER:-12}}")
+ fi
+
+ local err=0
diff --git a/media-gfx/splashutils/files/splashutils-openrc-0.4-fix.patch b/media-gfx/splashutils/files/splashutils-openrc-0.4-fix.patch
new file mode 100644
index 00000000..bc7b6ee0
--- /dev/null
+++ b/media-gfx/splashutils/files/splashutils-openrc-0.4-fix.patch
@@ -0,0 +1,74 @@
+commit a58099249acdce1fbdab19f5dfea0704c4c545f2
+Author: Michał Januszewski <spock@gentoo.org>
+Date: Sun Dec 28 13:32:16 2008 +0100
+
+ gentoo: make the splash plugin work with OpenRC 0.4.*
+
+diff --git a/gentoo/splash.c b/gentoo/splash.c
+index 26d0fa4..b6fa774 100644
+--- a/gentoo/splash.c
++++ b/gentoo/splash.c
+@@ -593,7 +593,7 @@ static int splash_start(const char *runlevel)
+
+ /* Get a list of services that we'll have to handle. */
+ /* We're rebooting/shutting down. */
+- if (!strcmp(runlevel, RC_LEVEL_SHUTDOWN) || !strcmp(runlevel, RC_LEVEL_REBOOT)) {
++ if (!strcmp(runlevel, RC_LEVEL_SHUTDOWN)) {
+ if ((err = fbsplash_cache_prep()))
+ return err;
+ splash_svcs_stop(runlevel);
+@@ -690,10 +690,14 @@ int rc_plugin_hook(RC_HOOK hook, const char *name)
+ int retval = 0;
+
+ runlev = rc_runlevel_get();
+- if (!strcmp(runlev, RC_LEVEL_REBOOT))
+- type = fbspl_reboot;
+- else if (!strcmp(runlev, RC_LEVEL_SHUTDOWN))
+- type = fbspl_shutdown;
++ if (!strcmp(runlev, RC_LEVEL_SHUTDOWN)) {
++ char *t = getenv("RUNLEVEL");
++ if (t && !strcmp(t, "6")) {
++ type = fbspl_reboot;
++ } else {
++ type = fbspl_shutdown;
++ }
++ }
+
+ /* Get boot and default levels from env variables exported by RC.
+ * If unavailable, use the default ones. */
+@@ -716,7 +720,7 @@ int rc_plugin_hook(RC_HOOK hook, const char *name)
+ list = rc_stringlist_new();
+ get_list_fp(list, fp);
+ TAILQ_FOREACH(s, list, entries)
+- rc_service_mark(s->value, RC_SERVICE_COLDPLUGGED);
++ rc_service_mark(s->value, RC_SERVICE_HOTPLUGGED);
+ pclose(fp);
+ rc_stringlist_free(list);
+ }
+@@ -739,7 +743,7 @@ int rc_plugin_hook(RC_HOOK hook, const char *name)
+ goto exit;
+
+ if (rc_runlevel_stopping() && strcmp(runlev, bootlevel) &&
+- strcmp(runlev, RC_LEVEL_REBOOT) && strcmp(runlev, RC_LEVEL_SHUTDOWN))
++ strcmp(runlev, RC_LEVEL_SHUTDOWN))
+ goto exit;
+ }
+
+@@ -763,7 +767,7 @@ int rc_plugin_hook(RC_HOOK hook, const char *name)
+ case RC_HOOK_RUNLEVEL_STOP_IN:
+ /* Start the splash daemon on reboot. The theme hook is called
+ * from splash_start(). */
+- if (strcmp(name, RC_LEVEL_REBOOT) == 0 || strcmp(name, RC_LEVEL_SHUTDOWN) == 0) {
++ if (strcmp(name, RC_LEVEL_SHUTDOWN) == 0) {
+ if ((i = splash_start(name))) {
+ fbsplash_set_verbose(0);
+ retval= i;
+@@ -788,7 +792,7 @@ int rc_plugin_hook(RC_HOOK hook, const char *name)
+ case RC_HOOK_RUNLEVEL_STOP_OUT:
+ /* Make sure the progress indicator reaches 100%, even if
+ * something went wrong along the way. */
+- if (strcmp(name, RC_LEVEL_REBOOT) == 0 || strcmp(name, RC_LEVEL_SHUTDOWN) == 0) {
++ if (strcmp(name, RC_LEVEL_SHUTDOWN) == 0) {
+ config->verbosity = FBSPL_VERB_QUIET;
+ i = fbsplash_check_daemon(&pid_daemon);
+ config->verbosity = FBSPL_VERB_NORMAL;
diff --git a/media-gfx/splashutils/files/splashutils-openrc-0.4.3-runlevel-fix.patch b/media-gfx/splashutils/files/splashutils-openrc-0.4.3-runlevel-fix.patch
new file mode 100644
index 00000000..36d4ef02
--- /dev/null
+++ b/media-gfx/splashutils/files/splashutils-openrc-0.4.3-runlevel-fix.patch
@@ -0,0 +1,99 @@
+commit 4bb63f7fb23b11591e2984ce87d4f36d80e29d65
+Author: Michał Januszewski <spock@gentoo.org>
+Date: Wed Mar 25 22:26:04 2009 +0100
+
+ gentoo: export the sysvinit RUNLEVEL variable for compatibility reasons
+
+ OpenRC 0.4.3+ no longer exports some sysvinit variables, including
+ RUNLEVEL. In order to avoid breaking themes and scripts which still
+ rely on this variable being present, we compute a suitable RUNLEVEL
+ value using the data available in OpenRC and then export it in
+ splash_call().
+
+diff --git a/gentoo/splash.c b/gentoo/splash.c
+index 726315f..048e0ec 100644
+--- a/gentoo/splash.c
++++ b/gentoo/splash.c
+@@ -41,7 +41,7 @@
+ #define SPLASH_CMD "export SPLASH_XRES='%d'; export SPLASH_YRES='%d';" \
+ "export SOFTLEVEL='%s'; export BOOTLEVEL='%s';" \
+ "export DEFAULTLEVEL='%s'; export svcdir=${RC_SVCDIR};" \
+- ". /sbin/splash-functions.sh; %s %s %s"
++ "export RUNLEVEL='%s'; . /sbin/splash-functions.sh; %s %s %s"
+
+ static char *bootlevel = NULL;
+ static char *defaultlevel = NULL;
+@@ -260,11 +260,32 @@ static int splash_config_gentoo(fbspl_cfg_t *cfg, fbspl_type_t type)
+ return 0;
+ }
+
++static const char *splash_sysvinit_runlevel(const char *runlevel)
++{
++ const char *runlev = runlevel ? runlevel : rc_runlevel_get();
++
++ if (!strcmp(runlev, RC_LEVEL_SHUTDOWN)) {
++ char *t = getenv("RC_REBOOT");
++ if (t && !strcmp(t, "YES")) {
++ return "6";
++ } else {
++ return "0";
++ }
++ } else if (!strcmp(runlev, RC_LEVEL_SYSINIT)) {
++ return "S";
++ } else if (!strcmp(runlev, RC_LEVEL_SINGLE)) {
++ return "1";
++ } else {
++ return "3";
++ }
++}
++
++
+ /*
+ * Call a function from /sbin/splash-functions.sh.
+ * This is rather slow, so use it only when really necessary.
+ */
+-static int splash_call(const char *cmd, const char *arg1, const char *arg2)
++static int splash_call(const char *cmd, const char *arg1, const char *arg2, const char *runlevel)
+ {
+ char *c;
+ int l;
+@@ -285,7 +306,8 @@ static int splash_call(const char *cmd, const char *arg1, const char *arg2)
+
+ snprintf(c, l, SPLASH_CMD, xres, yres,
+ arg1 ? (strcmp(arg1, RC_LEVEL_SYSINIT) == 0 ? bootlevel : soft) : soft,
+- bootlevel, defaultlevel, cmd, arg1 ? arg1 : "", arg2 ? arg2 : "");
++ bootlevel, defaultlevel, runlevel,
++ cmd, arg1 ? arg1 : "", arg2 ? arg2 : "");
+ l = system(c);
+ free(c);
+ return l;
+@@ -316,15 +338,16 @@ static int splash_theme_hook(const char *name, const char *type, const char *arg
+ }
+
+ if (!strcmp(name, "rc_init") || !strcmp(name, "rc_exit")) {
+- l = splash_call(buf, arg1, getenv("RUNLEVEL"));
++ const char *t = splash_sysvinit_runlevel(arg1);
++ l = splash_call(buf, arg1, t, t);
+ } else if (!strcmp(name, "svc_started") || !strcmp(name, "svc_stopped")) {
+ /*
+ * Set the 2nd parameter to 0 so that we don't break themes using the
+ * legacy interface in which these events contained an error code.
+ */
+- l = splash_call(buf, arg1, "0");
++ l = splash_call(buf, arg1, "0", splash_sysvinit_runlevel(NULL));
+ } else {
+- l = splash_call(buf, arg1, NULL);
++ l = splash_call(buf, arg1, NULL, splash_sysvinit_runlevel(NULL));
+ }
+ free(buf);
+ return l;
+@@ -710,8 +733,7 @@ int rc_plugin_hook(RC_HOOK hook, const char *name)
+
+ runlev = rc_runlevel_get();
+ if (!strcmp(runlev, RC_LEVEL_SHUTDOWN)) {
+- char *t = getenv("RUNLEVEL");
+- if (t && !strcmp(t, "6")) {
++ if (!strcmp(splash_sysvinit_runlevel(NULL), "6")) {
+ type = fbspl_reboot;
+ } else {
+ type = fbspl_shutdown;
diff --git a/media-gfx/splashutils/splashutils-1.5.4.4-r1.ebuild b/media-gfx/splashutils/splashutils-1.5.4.4-r1.ebuild
new file mode 100644
index 00000000..7cd8f846
--- /dev/null
+++ b/media-gfx/splashutils/splashutils-1.5.4.4-r1.ebuild
@@ -0,0 +1,245 @@
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/media-gfx/splashutils/splashutils-1.5.4.4.ebuild,v 1.7 2011/11/13 14:53:58 maekke Exp $
+
+EAPI="2"
+
+inherit autotools eutils multilib toolchain-funcs
+
+MISCSPLASH="miscsplashutils-0.1.8"
+GENTOOSPLASH="splashutils-gentoo-1.0.17"
+V_JPEG="8a"
+V_PNG="1.4.3"
+V_ZLIB="1.2.3"
+V_FT="2.3.12"
+
+ZLIBSRC="libs/zlib-${V_ZLIB}"
+LPNGSRC="libs/libpng-${V_PNG}"
+JPEGSRC="libs/jpeg-${V_JPEG}"
+FT2SRC="libs/freetype-${V_FT}"
+
+RESTRICT="test"
+IUSE="hardened +png +truetype +mng gpm fbcondecor"
+
+DESCRIPTION="Framebuffer splash utilities."
+HOMEPAGE="http://fbsplash.berlios.de"
+SRC_URI="mirror://berlios/fbsplash/${PN}-lite-${PV}.tar.bz2
+ mirror://berlios/fbsplash/${GENTOOSPLASH}.tar.bz2
+ mirror://gentoo/${MISCSPLASH}.tar.bz2
+ mirror://sourceforge/libpng/libpng-${V_PNG}.tar.bz2
+ ftp://ftp.uu.net/graphics/jpeg/jpegsrc.v${V_JPEG}.tar.gz
+ mirror://sourceforge/freetype/freetype-${V_FT}.tar.bz2
+ http://www.gzip.org/zlib/zlib-${V_ZLIB}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="amd64 ~ppc x86"
+RDEPEND="gpm? ( sys-libs/gpm )
+ truetype? ( >=media-libs/freetype-2[static-libs]
+ || ( <app-arch/bzip2-1.0.6-r3 app-arch/bzip2[static-libs] )
+ || ( <sys-libs/zlib-1.2.5.1-r2 sys-libs/zlib[static-libs] ) )
+ png? ( >=media-libs/libpng-1.4.3[static-libs] )
+ mng? (
+ media-libs/lcms:0[static-libs]
+ || ( media-libs/libmng[static-libs] <media-libs/libmng-1.0.10-r1 )
+ )
+ virtual/jpeg[static-libs]
+ >=sys-apps/baselayout-1.9.4-r5
+ app-arch/cpio
+ media-gfx/fbgrab
+ !sys-apps/lcdsplash"
+DEPEND="${RDEPEND}
+ >=dev-libs/klibc-1.5
+ dev-util/pkgconfig"
+
+S="${WORKDIR}/${P/_/-}"
+SG="${WORKDIR}/${GENTOOSPLASH}"
+SM="${WORKDIR}/${MISCSPLASH}"
+
+pkg_setup() {
+ if use hardened; then
+ ewarn "Due to problems with klibc, it is currently impossible to compile splashutils"
+ ewarn "with 'hardened' GCC flags. As a workaround, the package will be compiled with"
+ ewarn "-fno-stack-protector. Hardened GCC features will not be used while building"
+ ewarn "the splash kernel helper."
+ fi
+}
+
+src_prepare() {
+ mv "${WORKDIR}"/{libpng-${V_PNG},jpeg-${V_JPEG},zlib-${V_ZLIB},freetype-${V_FT}} "${S}/libs"
+ # We need to delete the Makefile and let it be rebuilt when splashutils
+ # is being configured. Either that, or we end up with a segfaulting kernel
+ # helper.
+ rm "${S}/libs/zlib-${V_ZLIB}/Makefile"
+
+ cd "${SG}"
+ epatch "${FILESDIR}/splashutils-1.5.4.4-gentoo-typo-fix.patch"
+
+ if use truetype ; then
+ cd "${SM}"
+ epatch "${FILESDIR}/splashutils-1.5.4.4-freetype-bz2.patch"
+ cd "${S}"
+ epatch "${FILESDIR}/splashutils-1.5.4.4-freetype-bz2-2.patch"
+ fi
+
+ cd "${S}"
+ ln -sf "${S}/src" "${WORKDIR}/core"
+
+ if ! tc-is-cross-compiler && \
+ has_version "sys-devel/gcc:$(gcc-version)[vanilla]" ; then
+ ewarn "Your GCC was built with the 'vanilla' flag set. If you can't compile"
+ ewarn "splashutils, you're on your own, as this configuration is not supported."
+ else
+ # This should make splashutils compile on systems with hardened GCC.
+ sed -e 's@K_CFLAGS =@K_CFLAGS = -fno-stack-protector@' -i "${S}/Makefile.in"
+ fi
+
+ if ! use truetype ; then
+ sed -i -e 's/fbtruetype kbd/kbd/' "${SM}/Makefile"
+ fi
+
+ # Latest version of klibc defined its own version of ferror, so there is
+ # not need for the hack in klibc_compat.h
+ if has_version ">=dev-libs/klibc-1.5.20"; then
+ echo > "libs/klibc_compat.h"
+ fi
+
+ rm -f m4/*
+ eautoreconf
+}
+
+src_configure() {
+ tc-export CC
+ cd "${SM}"
+ emake CC="${CC}" LIB=$(get_libdir) STRIP=true || die "failed to build miscsplashutils"
+
+ cd "${S}"
+ econf \
+ $(use_with png) \
+ $(use_with mng) \
+ $(use_with gpm) \
+ $(use_with truetype ttf) \
+ $(use_with truetype ttf-kernel) \
+ $(use_enable fbcondecor) \
+ --docdir=/usr/share/doc/${PF} \
+ --with-freetype2-src=${FT2SRC} \
+ --with-jpeg-src=${JPEGSRC} \
+ --with-lpng-src=${LPNGSRC} \
+ --with-zlib-src=${ZLIBSRC} \
+ --with-essential-libdir=/$(get_libdir) || die "failed to configure splashutils"
+}
+
+src_compile() {
+ emake CC="${CC}" STRIP="true" || die "failed to build splashutils"
+
+ if has_version ">=sys-apps/baselayout-1.13.99"; then
+ cd "${SG}"
+ emake LIB=$(get_libdir) || die "failed to build the splash plugin"
+ fi
+}
+
+src_install() {
+ local LIB=$(get_libdir)
+
+ # Sabayon: tweak /etc/conf.d/splash settings
+ sed -i 's/SPLASH_VERBOSE_ON_ERRORS="yes"/SPLASH_VERBOSE_ON_ERRORS="no"/g' "${SG}"/splash.conf || \
+ die "cannot tweak SPLASH_VERBOSE_ON_ERRORS"
+ sed -i 's/SPLASH_AUTOVERBOSE=".*"/SPLASH_AUTOVERBOSE="20"/g' "${SG}"/splash.conf || \
+ die "cannot tweak SPLASH_AUTOVERBOSE"
+
+ cd "${SM}"
+ make DESTDIR="${D}" LIB=${LIB} install || die
+
+ cd "${S}"
+ make DESTDIR="${D}" STRIP="true" install || die
+
+ mv "${D}"/usr/${LIB}/libfbsplash.so* "${D}"/${LIB}/
+ gen_usr_ldscript libfbsplash.so
+
+ echo 'CONFIG_PROTECT_MASK="/etc/splash"' > 99splash
+ doenvd 99splash
+
+ if use fbcondecor ; then
+ newinitd "${SG}"/init-fbcondecor fbcondecor
+ newconfd "${SG}"/fbcondecor.conf fbcondecor
+ fi
+ newconfd "${SG}"/splash.conf splash
+
+ insinto /usr/share/${PN}
+ doins "${SG}"/initrd.splash
+
+ insinto /etc/splash
+ doins "${SM}"/fbtruetype/luxisri.ttf
+
+ if has_version ">=sys-apps/baselayout-1.13.99"; then
+ cd "${SG}"
+ make DESTDIR="${D}" LIB=${LIB} install || die "failed to install the splash plugin"
+ else
+ cp "${SG}"/splash-functions-bl1.sh "${D}"/sbin/
+ fi
+
+ sed -i -e "s#/lib/splash#/${LIB}/splash#" "${D}"/sbin/splash-functions.sh
+ keepdir /${LIB}/splash/{tmp,cache,bin,sys}
+ dosym /${LIB}/splash/bin/fbres /sbin/fbres
+}
+
+pkg_preinst() {
+ has_version "<${CATEGORY}/${PN}-1.0"
+ previous_less_than_1_0=$?
+
+ has_version "<${CATEGORY}/${PN}-1.5.3"
+ previous_less_than_1_5_3=$?
+}
+
+pkg_postinst() {
+ if has_version sys-fs/devfsd || ! has_version sys-fs/udev ; then
+ elog "This package has been designed with udev in mind. Other solutions, such as"
+ elog "devfs or a static /dev tree might work, but are generally discouraged and"
+ elog "not supported. If you decide to switch to udev, you might want to have a"
+ elog "look at 'The Gentoo udev Guide', which can be found at"
+ elog " http://www.gentoo.org/doc/en/udev-guide.xml"
+ elog ""
+ fi
+
+ if [[ $previous_less_than_1_0 = 0 ]] ; then
+ elog "Since you are upgrading from a pre-1.0 version, please make sure that you"
+ elog "rebuild your initrds. You can use the splash_geninitramfs script to do that."
+ elog ""
+ fi
+
+ if [[ $previous_less_than_1_5_3 = 0 ]] && ! use fbcondecor ; then
+ elog "Starting with splashutils-1.5.3, support for the fbcondecor kernel patch"
+ elog "is optional and dependent on the the 'fbcondecor' USE flag. If you wish"
+ elog "to use fbcondecor, run:"
+ elog " echo \"media-gfx/splashutils fbcondecor\" >> /etc/portage/package.use"
+ elog "and re-emerge splashutils."
+ fi
+
+ if ! test -f /proc/cmdline ||
+ ! egrep -q '(console=tty1|CONSOLE=/dev/tty1)' /proc/cmdline ; then
+ elog "It is required that you add 'console=tty1' to your kernel"
+ elog "command line parameters."
+ elog ""
+ elog "After these modifications, the relevant part of the kernel command"
+ elog "line might look like:"
+ elog " splash=silent,fadein,theme:emergence console=tty1"
+ elog ""
+ fi
+
+ if ! has_version 'media-gfx/splash-themes-livecd' &&
+ ! has_version 'media-gfx/splash-themes-gentoo'; then
+ elog "The sample Gentoo themes (emergence, gentoo) have been removed from the"
+ elog "core splashutils package. To get some themes you might want to emerge:"
+ elog " media-gfx/splash-themes-livecd"
+ elog " media-gfx/splash-themes-gentoo"
+ fi
+
+ elog "Please note that the 'fbsplash' kernel patch has now been renamed to"
+ elog "'fbcondecor'. Accordingly, the old 'splash' initscript is now called"
+ elog "'fbcondecor'. Make sure you update your system. See:"
+ elog " http://dev.gentoo.org/~spock/projects/fbcondecor/#history"
+ elog "for further info about the name changes."
+ elog ""
+ elog "Also note that splash_util has now been split into splash_util, fbsplashd"
+ elog "and fbcondecor_ctl."
+}
diff --git a/media-gfx/xsane-gimp/Manifest b/media-gfx/xsane-gimp/Manifest
new file mode 100644
index 00000000..761b25d6
--- /dev/null
+++ b/media-gfx/xsane-gimp/Manifest
@@ -0,0 +1,3 @@
+DIST xsane-0.998-patches-2.tar.xz 54804 SHA256 84af533cba6309cf44892da8952b6203daa4dcfaf64e2efd1dddc5144e4cab4c SHA512 973ccac2fe3b6089049c1c5ba3e4cb0db29fdc79de372f8a7b461ee108e5bfc3f4a84997552fc3d3b651bbe9f98d247a5974d90e8949089b2ea52118eab6ad1f WHIRLPOOL 2294601aa696c442e8d2b5173b8ee04d158439e0ae02dd22c7d5c8f9fce98c8238a42e0867a5e511d206dd4030f7a15df2a98676471abe1e91870883662add56
+DIST xsane-0.998.tar.gz 2950560 SHA256 a32e2f8057782a29619f082dcf6b5f944bf12abe3d4121c516f7c9589064c26e SHA512 8cf6f01e706175cb4df88effe13c0547624bd62b08f485118279a9bcde77b9a555f3148b24f3d6348157868f50bfa450f413a20a514b4f0218579b75f642fc04 WHIRLPOOL 424c2050b2abf0d647adef7a0d22ee3c19d57ebc21d888d97667f82243c2ef10b5d99fef15a15da6f900f25f1aae3914824c87e71141a75a3dd6b1b44a0b0e4c
+DIST xsane-0.999.tar.gz 2950621 SHA256 5782d23e67dc961c81eef13a87b17eb0144cae3d1ffc5cf7e0322da751482b4b SHA512 73ec961fce1a86b5d6f5bac0995d222785eb4b077dc8e72492b092d2bf4500455426e80e4d27233721cd38ec84f77fb9f92190a6afe45bdaf7ffd1ee50b431ed WHIRLPOOL 7d50f6ecd8ad671d36a6b92eb365a6361da8d90bfea3136cf7add0890313294903f8cbc75684cbc24e42a028f83922a0308783fb20d89b0d6b14b1f949283ad5
diff --git a/media-gfx/xsane-gimp/xsane-gimp-0.998-r1.ebuild b/media-gfx/xsane-gimp/xsane-gimp-0.998-r1.ebuild
new file mode 100644
index 00000000..ad80c7dd
--- /dev/null
+++ b/media-gfx/xsane-gimp/xsane-gimp-0.998-r1.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="4"
+inherit eutils
+
+DESCRIPTION="XSane plugin for GIMP"
+HOMEPAGE="http://www.xsane.org/"
+MY_P="${P/-gimp}"
+SRC_URI="http://www.xsane.org/download/${MY_P}.tar.gz
+ http://dev.gentoo.org/~dilfridge/distfiles/${MY_P}-patches-2.tar.xz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="nls"
+
+RDEPEND="media-gfx/sane-backends
+ ~media-gfx/xsane-${PV}[-gimp]
+ media-gfx/gimp"
+
+DEPEND="${RDEPEND}
+ dev-util/pkgconfig"
+
+S="${WORKDIR}/${MY_P}"
+
+src_prepare() {
+ # Apply multiple fixes from different distributions
+ epatch "${WORKDIR}/${MY_P}-patches-2"/*.patch
+}
+
+src_configure() {
+ econf --enable-gtk2 \
+ $(use_enable nls) \
+ --disable-jpeg \
+ --disable-png \
+ --disable-tiff \
+ --disable-lcms \
+ --disable-sanetest
+}
+
+src_install() {
+ # link xsane so it is seen as a plugin in gimp
+ local plugindir
+ if [ -x /usr/bin/gimptool ]; then
+ plugindir="$(gimptool --gimpplugindir)/plug-ins"
+ elif [ -x /usr/bin/gimptool-2.0 ]; then
+ plugindir="$(gimptool-2.0 --gimpplugindir)/plug-ins"
+ else
+ die "Can't find GIMP plugin directory."
+ fi
+ newbin src/xsane xsane-gimp
+ dodir "${plugindir}"
+ dosym /usr/bin/xsane-gimp "${plugindir}"/xsane
+}
+
+pkg_postinst() {
+ elog "If a new scanner is added or the device of the the scanner has"
+ elog "changed, it is recommended to rebuild the cache:"
+ elog "issue \"touch /usr/bin/xsane-gimp\" or delete the plugin cache"
+ elog "(~/.gimp*/pluginrc)."
+}
diff --git a/media-gfx/xsane-gimp/xsane-gimp-0.999.ebuild b/media-gfx/xsane-gimp/xsane-gimp-0.999.ebuild
new file mode 100644
index 00000000..0297f7ee
--- /dev/null
+++ b/media-gfx/xsane-gimp/xsane-gimp-0.999.ebuild
@@ -0,0 +1,65 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=5
+inherit eutils
+
+DESCRIPTION="XSane plugin for GIMP"
+HOMEPAGE="http://www.xsane.org/"
+MY_P="${P/-gimp}"
+SRC_URI="http://www.xsane.org/download/${MY_P}.tar.gz
+ http://dev.gentoo.org/~dilfridge/distfiles/xsane-0.998-patches-2.tar.xz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="nls"
+
+RDEPEND="media-gfx/sane-backends
+ ~media-gfx/xsane-${PV}[-gimp]
+ media-gfx/gimp"
+
+DEPEND="${RDEPEND}
+ virtual/pkgconfig"
+
+S="${WORKDIR}/${MY_P}"
+
+src_prepare() {
+ # Apply multiple fixes from different distributions
+ # Drop included patch and reuse patchset from prior version
+ rm "${WORKDIR}/xsane-0.998-patches-2"/005-update-param-crash.patch || die
+ epatch "${WORKDIR}/xsane-0.998-patches-2"/*.patch
+
+ # Fix compability with libpng15 wrt #377363
+ sed -i -e 's:png_ptr->jmpbuf:png_jmpbuf(png_ptr):' src/xsane-save.c || die
+
+ # Fix AR calling directly (bug #442606)
+ sed -i -e 's:ar r:$(AR) r:' lib/Makefile.in || die
+ tc-export AR
+}
+
+src_configure() {
+ econf --enable-gtk2 \
+ $(use_enable nls) \
+ --disable-jpeg \
+ --disable-png \
+ --disable-tiff \
+ --enable-gimp \
+ --disable-lcms
+}
+
+src_install() {
+ # link xsane so it is seen as a plugin in gimp
+ local plugindir
+ if [ -x "${EPREFIX}"/usr/bin/gimptool ]; then
+ plugindir="$(gimptool --gimpplugindir)/plug-ins"
+ elif [ -x "${EPREFIX}"/usr/bin/gimptool-2.0 ]; then
+ plugindir="$(gimptool-2.0 --gimpplugindir)/plug-ins"
+ else
+ die "Can't find GIMP plugin directory."
+ fi
+ dodir "${plugindir#${EPREFIX}}"
+ newbin src/xsane xsane-gimp
+ dosym /usr/bin/xsane-gimp "${plugindir#${EPREFIX}}"/xsane
+}
diff --git a/media-libs/jackd-firewire/Manifest b/media-libs/jackd-firewire/Manifest
new file mode 100644
index 00000000..a0beecca
--- /dev/null
+++ b/media-libs/jackd-firewire/Manifest
@@ -0,0 +1 @@
+DIST jack-audio-connection-kit-0.121.3.tar.gz 1083545 SHA256 b7095d3deabeecd19772b37241e89c6c79de6afd6c031ba7567513cfe51beafa
diff --git a/media-libs/jackd-firewire/jackd-firewire-0.121.3.ebuild b/media-libs/jackd-firewire/jackd-firewire-0.121.3.ebuild
new file mode 100644
index 00000000..d27304a8
--- /dev/null
+++ b/media-libs/jackd-firewire/jackd-firewire-0.121.3.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=2
+
+inherit multilib
+
+MY_PN="jack-audio-connection-kit"
+DESCRIPTION="FFADO backend for JACK Audio Connection Kit"
+HOMEPAGE="http://www.jackaudio.org"
+SRC_URI="http://www.jackaudio.org/downloads/${MY_PN}-${PV}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE=""
+
+RDEPEND="
+ >=media-libs/alsa-lib-1.0.18
+ media-libs/libffado
+ ~media-sound/${MY_PN}-${PV}[-ffado]
+"
+DEPEND="${RDEPEND}
+ dev-util/pkgconfig"
+
+S="${WORKDIR}/${MY_PN}-${PV}"
+
+src_prepare() {
+ sed -i \
+ -e "s:\$(top_builddir)/libjack/libjack.la:${ROOT}usr/$(get_libdir)/libjack.la:" \
+ -e "s:\$(top_builddir)/jackd/libjackserver.la:${ROOT}usr/$(get_libdir)/libjackserver.la:" \
+ drivers/firewire/Makefile.in || die
+}
+
+src_configure() {
+ # use !doc equivalent
+ export ac_cv_prog_HAVE_DOXYGEN=false
+
+ econf \
+ --enable-firewire \
+ --disable-altivec \
+ --disable-alsa \
+ --disable-coreaudio \
+ --disable-debug \
+ --disable-mmx \
+ --disable-oss \
+ --disable-portaudio \
+ --disable-sse \
+ --with-html-dir=/usr/share/doc/${PF} \
+ --disable-dependency-tracking \
+ || die "configure failed"
+}
+
+src_compile() {
+ emake -C drivers/firewire || die
+}
+
+src_install() {
+ emake -C drivers/firewire DESTDIR="${D}" install || die "install failed"
+}
diff --git a/media-libs/jackd-firewire/metadata.xml b/media-libs/jackd-firewire/metadata.xml
new file mode 100644
index 00000000..40221f6b
--- /dev/null
+++ b/media-libs/jackd-firewire/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer><email>slawomir.nizio@sabayon.org</email></maintainer>
+</pkgmetadata>
diff --git a/media-sound/pithos/Manifest b/media-sound/pithos/Manifest
new file mode 100644
index 00000000..810e6ce3
--- /dev/null
+++ b/media-sound/pithos/Manifest
@@ -0,0 +1 @@
+DIST pithos-20130808.tar.gz 138217 SHA256 aee6755562a5391ad9e1edcc35633e11f8575ee128da4d0faf5d8746966ca317 SHA512 c62df5c9b45569ea59cc013c69c2359e8217ee2aac4d87dbc7bdd0af6a72926f1962f213bec9885891621abb9f4ffe01b9f49e6728b1025042eadc5ddabe49a4 WHIRLPOOL d21ca3695a96d12c5a93f21d3b9c109b2dd1b72c289a5aac00a59ca40cdf3bf72ffe8a0d2a56cd210e44d2173fc6c38c9f0d02ac7cb8af7d5d5d390c0d49a28a
diff --git a/media-sound/pithos/files/pithos-20130808-detect-datadir.patch b/media-sound/pithos/files/pithos-20130808-detect-datadir.patch
new file mode 100644
index 00000000..ba3414bb
--- /dev/null
+++ b/media-sound/pithos/files/pithos-20130808-detect-datadir.patch
@@ -0,0 +1,16 @@
+diff --git a/pithos/pithosconfig.py b/pithos/pithosconfig.py
+index dfaaf5d..f82b458 100644
+--- a/pithos/pithosconfig.py
++++ b/pithos/pithosconfig.py
+@@ -16,7 +16,10 @@
+
+ # where your project will head for your data (for instance, images and ui files)
+ # by default, this is ../data, relative your trunk layout
+-__pithos_data_directory__ = '../data/'
++from os.path import isdir, normpath, join
++__pithos_data_directory__ = (normpath(join(__file__, '../data/'))
++ if isdir(join(__file__, '../data/'))
++ else '/usr/share/pithos')
+ __license__ = 'GPL-3'
+
+ VERSION = '0.3.17'
diff --git a/media-sound/pithos/files/pithos-20130808-dont-notify-volume.patch b/media-sound/pithos/files/pithos-20130808-dont-notify-volume.patch
new file mode 100644
index 00000000..cf605b32
--- /dev/null
+++ b/media-sound/pithos/files/pithos-20130808-dont-notify-volume.patch
@@ -0,0 +1,13 @@
+diff --git a/bin/pithos b/bin/pithos
+index 725ad7b..62ddd88 100755
+--- a/bin/pithos
++++ b/bin/pithos
+@@ -204,7 +204,7 @@ class PithosWindow(gtk.Window):
+ bus.connect("message::eos", self.on_gst_eos)
+ bus.connect("message::buffering", self.on_gst_buffering)
+ bus.connect("message::error", self.on_gst_error)
+- self.player.connect("notify::volume", self.on_gst_volume)
++ #self.player.connect("notify::volume", self.on_gst_volume)
+ self.player.connect("notify::source", self.on_gst_source)
+ self.time_format = gst.Format(gst.FORMAT_TIME)
+
diff --git a/media-sound/pithos/files/setup.py b/media-sound/pithos/files/setup.py
new file mode 100644
index 00000000..0d5776ae
--- /dev/null
+++ b/media-sound/pithos/files/setup.py
@@ -0,0 +1,37 @@
+# replacement for setup.py for pithos as the included one is.. less than ideal
+
+from os import walk
+from glob import glob
+from os.path import join
+from setuptools import setup, find_packages
+
+DATA_DIR = '/usr/share/pithos/'
+ICON_DIR = '/usr/share/icons/hicolor/'
+APP_DIR = '/usr/share/applications'
+
+datadir = 'data'
+datadirs = ['ui', 'media']
+icondir = 'data/icons'
+bindir = 'bin'
+
+datafiles = [[(join(DATA_DIR, root.partition(datadir)[2].lstrip('/')), [join(root, f) for f in files])
+ for root, dirs, files in walk(join(datadir, data))][0] for data in datadirs]
+
+datafiles += ([(join(ICON_DIR, root.partition(icondir)[2].lstrip('/')), [join(root, f) for f in files])
+ for root, dirs, files in walk(icondir)])
+
+datafiles += [(APP_DIR, glob('*.desktop'))]
+
+setup(
+ name='pithos',
+ version='0.3',
+ ext_modules=[],
+ license='GPL-3',
+ author='Kevin Mehall',
+ author_email='km@kevinmehall.net',
+ description='Pandora.com client for the GNOME desktop',
+ packages=find_packages(),
+ url='https://launchpad.net/pithos',
+ data_files=datafiles,
+ scripts=glob('bin/*'),
+)
diff --git a/media-sound/pithos/metadata.xml b/media-sound/pithos/metadata.xml
new file mode 100644
index 00000000..34013640
--- /dev/null
+++ b/media-sound/pithos/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer>
+ <email>chutzpah@gentoo.org</email>
+ <name>Patrick McLean</name>
+ </maintainer>
+</pkgmetadata>
diff --git a/media-sound/pithos/pithos-20130808.ebuild b/media-sound/pithos/pithos-20130808.ebuild
new file mode 100644
index 00000000..c7dddcc0
--- /dev/null
+++ b/media-sound/pithos/pithos-20130808.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/media-sound/pithos/pithos-20130808.ebuild,v 1.2 2014/04/06 10:45:27 eva Exp $
+
+EAPI=5
+PYTHON_COMPAT=(python2_7)
+inherit eutils distutils-r1
+
+if [[ ${PV} == 99999999 ]]; then
+ inherit git-2
+ EGIT_REPO_URI="git://github.com/kevinmehall/pithos.git
+ https://github.com/kevinmehall/pithos.git"
+else
+ MY_PV="6c9a9ff1660bb8c35b846cb5763f8a131228b6d4"
+ SRC_URI="https://github.com/kevinmehall/${PN}/archive/${MY_PV}.tar.gz -> ${P}.tar.gz"
+ S="${WORKDIR}/${PN}-${MY_PV}"
+fi
+
+DESCRIPTION="A Pandora Radio (pandora.com) player for the GNOME Desktop"
+HOMEPAGE="http://kevinmehall.net/p/pithos/"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="gnome"
+
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
+
+RDEPEND="dev-python/pyxdg[${PYTHON_USEDEP}]
+ dev-python/pygobject:2[${PYTHON_USEDEP}]
+ dev-python/notify-python[${PYTHON_USEDEP}]
+ dev-python/pygtk[${PYTHON_USEDEP}]
+ dev-python/gst-python:0.10[${PYTHON_USEDEP}]
+ dev-python/dbus-python[${PYTHON_USEDEP}]
+ media-plugins/gst-plugins-meta:0.10[aac,http,mp3]
+ gnome? ( gnome-base/gnome-settings-daemon )
+ !gnome? ( dev-libs/keybinder[python] )"
+
+PATCHES=(
+ "${FILESDIR}"/${P}-detect-datadir.patch
+ "${FILESDIR}"/${P}-dont-notify-volume.patch
+)
+
+src_prepare() {
+ # replace the build system with something more sane
+ cp "${FILESDIR}"/setup.py "${S}"
+
+ distutils-r1_src_prepare
+}